#!/bin/sh
echo 'name: cipher-aes
version: 0.1.7
id: cipher-aes-0.1.7-2bde16d0e65e58e4de7d62c620128d1f

license: BSD3
copyright: Vincent Hanquez <vincent@snarc.org>
maintainer: Vincent Hanquez <vincent@snarc.org>
stability:
homepage: http://github.com/vincenthz/hs-cipher-aes
package-url:
synopsis: Fast AES cipher implementation with advanced mode of operations
description: Fast AES cipher implementation with advanced mode of operations.
             .
             The modes of operations available are ECB (Electronic code book),
             CBC (Cipher block chaining), CTR (Counter), XTS (XEX with ciphertext stealing),
             GCM (Galois Counter Mode).
             .
             The AES implementation uses AES-NI when available (on x86 and x86-64 architecture),
             but fallback gracefully to a software C implementation.
             .
             The software implementation uses S-Boxes, which might suffer for cache timing issues.
             However do notes that most other known software implementations, including very popular
             one (openssl, gnutls) also uses same implementation. If it matters for your
             case, you should make sure you have AES-NI available, or you'\''ll need to use a different
             implementation.
             .
category: Cryptography
author: Vincent Hanquez <vincent@snarc.org>
exposed: True
exposed-modules: Crypto.Cipher.AES
hidden-modules:
trusted: False
import-dirs: /usr/local/lib/ghc-7.4.2/cabal/cipher-aes-0.1.7
library-dirs: /usr/local/lib/ghc-7.4.2/cabal/cipher-aes-0.1.7
              /usr/local/lib
hs-libraries: HScipher-aes-0.1.7
extra-libraries:
extra-ghci-libraries:
include-dirs: /usr/local/include
includes:
depends: base-4.5.1.0-12fddc14a7babb909dd3843e453b5660
         bytestring-0.9.2.1-e22c77999d0db34f3ca8de7082a3ffd5
hugs-options:
cc-options:
ld-options:
framework-dirs:
frameworks:
haddock-interfaces: /usr/local/share/doc/ghc-7.4.2/cabal/cipher-aes-0.1.7/html/cipher-aes.haddock
haddock-html: /usr/local/share/doc/ghc-7.4.2/cabal/cipher-aes-0.1.7/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-conf' "$@"
